Bug 84052 - [EFL] FrameLoaderClient should send "load,finished" signal for all frame, not just the main one
: [EFL] FrameLoaderClient should send "load,finished" signal for all frame, not...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit EFL
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Chris Dumez
:
Depends on: 83030
Blocks: 83281
  Show dependency treegraph
 
Reported: 2012-04-16 10:58 PDT by Chris Dumez
Modified: 2012-05-06 22:50 PDT (History)
5 users (show)

See Also:


Attachments
Proposed patch (6.36 KB, patch)
2012-04-16 11:04 PDT, Chris Dumez
tonikitoo: review+
Details | Formatted Diff | Diff
Proposed patch (6.32 KB, patch)
2012-04-17 09:50 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2012-04-16 10:58:25 PDT
EFL's FrameLoaderClient currently emits the "load,finished" signal from the postProgressFinishedNotification() method. It apparently causes the signal to be emitted only for the main frame and not for other frame. It is more suited to emit the signal from dispatchDidFinishLoad() and dispatchDidFailLoad() so that we can send notification for all frames.

This change is needed to unskip several test cases which rely on the DumpRenderTree support for LayoutTestController's dumpFrameLoadCallbacks() and expect notifications for other frame than the main one:
 * http/tests/security/mixedContent/empty-url-plugin-in-frame.html
 * http/tests/security/mixedContent/about-blank-iframe-in-main-frame.html
 * http/tests/security/mixedContent/data-url-iframe-in-main-frame.html
 * http/tests/security/mixedContent/data-url-script-in-iframe.html
 * http/tests/security/mixedContent/insecure-css-in-iframe.html
 * http/tests/security/mixedContent/insecure-iframe-in-iframe.html
 * http/tests/security/mixedContent/insecure-iframe-in-main-frame.html
 * http/tests/security/mixedContent/insecure-image-in-iframe.html
 * http/tests/security/mixedContent/redirect-http-to-https-script-in-iframe.html
 * http/tests/security/mixedContent/redirect-https-to-http-script-in-iframe.html
Comment 1 Chris Dumez 2012-04-16 11:04:49 PDT
Created attachment 137366 [details]
Proposed patch
Comment 2 Gyuyoung Kim 2012-04-16 17:57:02 PDT
Comment on attachment 137366 [details]
Proposed patch

If you submit rebased patch again, looks fine to me.
Comment 3 Antonio Gomes 2012-04-17 06:51:10 PDT
Comment on attachment 137366 [details]
Proposed patch

be sure it applies. bubbles are purple.
Comment 4 Chris Dumez 2012-04-17 09:50:23 PDT
Created attachment 137551 [details]
Proposed patch

Rebase on master for landing.
Comment 5 WebKit Review Bot 2012-04-17 13:01:30 PDT
Comment on attachment 137551 [details]
Proposed patch

Clearing flags on attachment: 137551

Committed r114420: <http://trac.webkit.org/changeset/114420>
Comment 6 WebKit Review Bot 2012-04-17 13:01:35 PDT
All reviewed patches have been landed.  Closing bug.